import os

class Config:
    SECRET_KEY = os.environ.get('SECRET_KEY') or 'yrtv-secret-key-dev'
    BASE_DIR = os.path.abspath(os.path.join(os.path.dirname(__file__), '..'))
    
    DB_L2_PATH = os.path.join(BASE_DIR, 'database', 'L2', 'L2_Main.sqlite')
    DB_L3_PATH = os.path.join(BASE_DIR, 'database', 'L3', 'L3_Features.sqlite')
    DB_WEB_PATH = os.path.join(BASE_DIR, 'database', 'Web', 'Web_App.sqlite')
    
    ADMIN_TOKEN = 'jackyyang0929'
    
    # Pagination
    ITEMS_PER_PAGE = 20
